
[dgtools](dgtools.html) - 
[argvparse](argvparse.html) - 
[recover](recover.html) - 
[repo](repo.html) - 
[shistory](shistory.html) 

## NAME

**dgtools::dgtools**  - Detlef Groths Tcl Tools Libraries

## <a name='synopsis'>SYNOPSIS</a>


    package require Tk 8.6
    package require snit
    package require dgtools


## <a name='command'>COMMAND</a>

**package::require dgtools**

> The *dgtools* package is just a wrapper package to load all the dgtools 
   packages with one package call.
   The following packages are loaded via the *package require dgtools* call:

- [dgtools::argvparse](argvparse.html) - command line argument processor in spirit of argvparse
- [dgtools::dgtutils](dgtutils.html) - private package to generate the documentation and to run or show example code
- [dgtools::shistory](shistory.html) - history manager
- [dgtools::revover](recover.html) - debugging tool like R's recover
- [dgtools::repo](repo.html) - directly download Tcl packages from source code repositories

## <a name='see'>SEE ALSO</a>

- [dgw - package homepage: http://chiselapp.com/user/dgroth/repository/tclcode/index](http://chiselapp.com/user/dgroth/repository/tclcode/index)

## <a name='authors'>AUTHOR</a>

The **dgtools** command was written by Detlef Groth, Schwielowsee, Germany.

## <a name='copyright'>COPYRIGHT</a>

Copyright (c) 2019-2020  Dr. Detlef Groth, E-mail: detlef(at)dgroth(dot)de

## <a name='license'>LICENSE</a>

dgtools::dgtools package 0.2 - load all packages in dgtools.

Copyright (c) 2019-2020  Dr. Detlef Groth, E-mail: detlef(at)dgroth(dot)de

This library is free software; you can use, modify, and redistribute it
for any purpose, provided that existing copyright notices are retained
in all copies and that this notice is included verbatim in any
distributions.

This software is distributed WITHOUT ANY WARRANTY; without even the
implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.



